### Constructor

# Gtk KeyvalTriggernew

#### Declaration [src]

    GtkShortcutTrigger*
    gtk_keyval_trigger_new (
      guint keyval,
      GdkModifierType modifiers
    )

#### Description [src]

Creates a `GtkShortcutTrigger` that will trigger whenever the key with the given `keyval` and `modifiers` is pressed.

#### Parameters

`keyval`

  Type: `guint`

  The keyval to trigger for.

`modifiers`

  Type: `GdkModifierType`

  The modifiers that need to be present.

#### Return value

Type: `GtkShortcutTrigger`

A new `GtkShortcutTrigger`

The caller of the function takes ownership of the data, and is responsible for freeing it.